Bug 102043 - w3m-el-common rpm preuninstall script broken
Summary: w3m-el-common rpm preuninstall script broken
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: w3m-el   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-09 16:25 UTC by Jay Berkenbilt
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version: 1.3.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 12:05:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Berkenbilt 2003-08-09 16:25:22 UTC
Description of problem:

The preunintall script for w3m-el-common is truncated.

Version-Release number of selected component (if applicable):

w3m-el-common-1.3.5-2

How reproducible:

always

Steps to Reproduce:
1. rpm -e `rpm -qa | grep w3m` (or rpm -e w3m-el-common after other w3m packages
are uninstalled)
    
Actual results:

An error message such as this:

/var/tmp/rpm-tmp.41944: line 6: syntax error: unexpected end of file
error: %preun(w3m-el-common-1.3.5-2) scriptlet failed, exit status 2

is issued.  The package is not uninstalled.

Expected results:

The package should have uninstalled.

Additional info:

rpm -qi --scripts shows the preuninstall script to be as follows:

if [ "$1" = 0 ]; then
        /sbin/install-info --delete /usr/share/info/emacs-w3m.info \
                /usr/share/info/dir --section="GNU Emacs Lisp"
        /sbin/install-info --delete /usr/share/info/emacs-w3m-ja.info \
                /usr/share/info/dir --section="GNU Emacs Lisp"

Someone lost the fi.  I've heard of a giant who has some for a fee, fo, and fum.

Comment 1 Akira TAGOH 2003-08-11 10:15:27 UTC
I fixed it locally. just waiting bug #102093 will be fixed to build this.

Comment 2 Akira TAGOH 2003-09-01 12:05:57 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.